aboutsummaryrefslogtreecommitdiffstats
path: root/compare_idx
diff options
context:
space:
mode:
authorAntoine Ginies <aginies@mandriva.com>2010-10-06 07:58:18 +0000
committerAntoine Ginies <aginies@mandriva.com>2010-10-06 07:58:18 +0000
commitb364785ea90e60806aaaec56d15bcc70a74daf6d (patch)
treeda257e1277bd0218929f12fde2e318657067eb16 /compare_idx
parent46324a3fd9b86040b16dc3070b3a22438f7a616d (diff)
downloadbcd-b364785ea90e60806aaaec56d15bcc70a74daf6d.tar
bcd-b364785ea90e60806aaaec56d15bcc70a74daf6d.tar.gz
bcd-b364785ea90e60806aaaec56d15bcc70a74daf6d.tar.bz2
bcd-b364785ea90e60806aaaec56d15bcc70a74daf6d.tar.xz
bcd-b364785ea90e60806aaaec56d15bcc70a74daf6d.zip
end of the move
Diffstat (limited to 'compare_idx')
-rwxr-xr-xcompare_idx27
1 files changed, 27 insertions, 0 deletions
diff --git a/compare_idx b/compare_idx
new file mode 100755
index 0000000..f86fafd
--- /dev/null
+++ b/compare_idx
@@ -0,0 +1,27 @@
+#!/bin/sh
+# quiqk script to compare 32 and 64 IDX file
+# usefull to compare dual CD and free32 and free64 dvd
+
+TMPDIR=/tmp/compare_idx
+
+if [ -z "$1" ]; then
+ echo "first arg must be a 32 IDX file"
+ exit 1
+fi
+if [ -z "$2" ]; then
+ echo "Second arg must be a 64 IDX file"
+ exit 1
+fi
+
+
+IDX32=$1
+IDX64=$2
+
+rm -rf $TMPDIR/*ok
+mkdir -p $TMPDIR
+
+
+cat $IDX32 | cut -d " " -f 2 | sed -e "s/i586//" | sort > $TMPDIR/IDX32_1_ok
+cat $IDX64 | cut -d " " -f 2 | sed -e "s/x86_64//" | sed -e "s/\/lib64/\/lib/" | sort > $TMPDIR/IDX64_2_ok
+
+diff -rau $TMPDIR/IDX32_1_ok $TMPDIR/IDX64_2_ok